//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>tLogSettings complex type的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * 
 * <pre>
 * &lt;complexType name="tLogSettings"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{http://www.iec.ch/61850/2003/SCL}tServiceSettings"&gt;
 *       &lt;attribute name="logEna" type="{http://www.iec.ch/61850/2003/SCL}tServiceSettingsEnum" default="Fix" /&gt;
 *       &lt;attribute name="trgOps" type="{http://www.iec.ch/61850/2003/SCL}tServiceSettingsEnum" default="Fix" /&gt;
 *       &lt;attribute name="intgPd" type="{http://www.iec.ch/61850/2003/SCL}tServiceSettingsEnum" default="Fix" /&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tLogSettings")
public class TLogSettings
    extends TServiceSettings
{

    @XmlAttribute(name = "logEna")
    protected TServiceSettingsEnum logEna;
    @XmlAttribute(name = "trgOps")
    protected TServiceSettingsEnum trgOps;
    @XmlAttribute(name = "intgPd")
    protected TServiceSettingsEnum intgPd;

    /**
     * 获取logEna属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public TServiceSettingsEnum getLogEna() {
        if (logEna == null) {
            return TServiceSettingsEnum.FIX;
        } else {
            return logEna;
        }
    }

    /**
     * 设置logEna属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public void setLogEna(TServiceSettingsEnum value) {
        this.logEna = value;
    }

    /**
     * 获取trgOps属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public TServiceSettingsEnum getTrgOps() {
        if (trgOps == null) {
            return TServiceSettingsEnum.FIX;
        } else {
            return trgOps;
        }
    }

    /**
     * 设置trgOps属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public void setTrgOps(TServiceSettingsEnum value) {
        this.trgOps = value;
    }

    /**
     * 获取intgPd属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public TServiceSettingsEnum getIntgPd() {
        if (intgPd == null) {
            return TServiceSettingsEnum.FIX;
        } else {
            return intgPd;
        }
    }

    /**
     * 设置intgPd属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public void setIntgPd(TServiceSettingsEnum value) {
        this.intgPd = value;
    }

}
